import { Event, Step } from 'effector';
import { CancelledPayload, MutableReEffect } from './types';
import { CancellablePromise } from './promise';
interface InstanceNewEvents<Payload, Done> {
    readonly cancelled: Event<CancelledPayload<Payload>> & {
        graphite: Step;
    };
    readonly cancel: Event<void> & {
        graphite: Step;
    };
    readonly running: CancellablePromise<Done>[];
}
export declare const patchInstance: <Payload, Done, Fail>(instance: MutableReEffect<Payload, Done, Fail>, { cancelled, cancel, running }: InstanceNewEvents<Payload, Done>) => void;
export {};
